Skip to Main Content

Java Programming

Announcement

For appeals, questions and feedback, please email oracle-forums_moderators_us@oracle.com

abort: error: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)

Ganesan PalanisamyJan 24 2024 — edited Jan 24 2024

While cloning the openjdk latest files from openjdk site I am getting following error,

# hg clone http://hg.openjdk.java.net/jdk8/jdk8 openjdk_test2024

# /opt/csw/bin/hg clone http://hg.openjdk.java.net/jdk8/jdk8 openjdk_test2024
abort: error: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)

# /usr/sfw/bin/gmake all
gmake: Warning: File `/d2/Shan1/Security_Patch/openjdk_402//make/Jprt.gmk' has modification time 3.2e+07 s in the future
abort: repository requires features unknown to this Mercurial: sparserevlog!
(see https://mercurial-scm.org/wiki/MissingRequirement for more information)
abort: repository requires features unknown to this Mercurial: sparserevlog!
(see https://mercurial-scm.org/wiki/MissingRequirement for more information)
abort: repository requires features unknown to this Mercurial: sparserevlog!
(see https://mercurial-scm.org/wiki/MissingRequirement for more information)
abort: repository requires features unknown to this Mercurial: sparserevlog!
(see https://mercurial-scm.org/wiki/MissingRequirement for more information)
abort: repository requires features unknown to this Mercurial: sparserevlog!
(see https://mercurial-scm.org/wiki/MissingRequirement for more information)
abort: repository requires features unknown to this Mercurial: sparserevlog!
(see https://mercurial-scm.org/wiki/MissingRequirement for more information)
abort: repository requires features unknown to this Mercurial: sparserevlog!
(see https://mercurial-scm.org/wiki/MissingRequirement for more information)
abort: repository requires features unknown to this Mercurial: sparserevlog!
(see https://mercurial-scm.org/wiki/MissingRequirement for more information)
ERROR: /d2/Shan1/Security_Patch/openjdk_402/build/solaris-x86_64-normal-server-release/spec.gmk is not up to date.
Please rerun configure! Easiest way to do this is by running
'make reconfigure'.
gmake: *** [/d2/Shan1/Security_Patch/openjdk_402/build/solaris-x86_64-normal-server-release/spec.gmk] Error 1

# Please help me to resolve this issue.....

Comments
Post Details
Added on Jan 24 2024
5 comments
61 views